Page MenuHomeFreeBSD

Update x11/xpra to 3.0.6 and switch to Python 3.
AbandonedPublic

Authored by swills on Feb 18 2020, 5:19 PM.

Details

Summary

Known problems:
The cursor hovered over remove Konsole windows isn't visible. Not sure if its a
regression or compatibility problem (the remote is running old Xpra 2.5).

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 30117
Build 27924: arc lint + arc unit

Event Timeline

arrowd created this revision.Feb 18 2020, 5:19 PM
arrowd updated this revision to Diff 68706.Feb 23 2020, 1:51 PM

Add more runtime dependencies, which I verified to be required.

Invisible cursor is an upstream regression, reported here: https://www.xpra.org/trac/ticket/2607

rene added a subscriber: rene.Mar 7 2020, 1:22 PM
arrowd updated this revision to Diff 69593.Mar 17 2020, 12:06 PM
  • Fix dependency on py-pillow.
swills accepted this revision.Mar 24 2020, 1:47 PM

LGTM! Thanks!

This revision is now accepted and ready to land.Mar 24 2020, 1:47 PM

There are a bunch of cpython-generated files in the plist that have "37" hardcoded in the filename. Should those use %%PYTHON_VER%% instead?

arrowd reopened this revision.Mar 26 2020, 3:57 PM
arrowd updated this revision to Diff 69894.Mar 26 2020, 3:58 PM
  • Replace hardcoded Python version with PYTHON_SUFFIX in pkg-plist.
swills commandeered this revision.Mar 26 2020, 8:19 PM
swills abandoned this revision.
swills edited reviewers, added: arrowd; removed: swills.

Committed in rP529212